net.sf.jasperreports.engine.export

## Class JRPdfExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRPdfExporterParameter

- Deprecated.
  Replaced by `PdfExporterConfiguration`.

      public class JRPdfExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export in PDF format.

  The PDF exporter can send data to an output stream or a file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

  Version:
    $Id: JRPdfExporterParameter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRPdfExporterParameter` | `FORCE_LINEBREAK_POLICY` Deprecated. Replaced by `PdfReportConfiguration.isForceLineBreakPolicy()`.
    `static JRPdfExporterParameter` | `FORCE_SVG_SHAPES` Deprecated. Replaced by `PdfReportConfiguration.isForceSvgShapes()`.
    `static JRPdfExporterParameter` | `IS_128_BIT_KEY` Deprecated. Replaced by `PdfExporterConfiguration.is128BitKey()`.
    `static JRPdfExporterParameter` | `IS_COMPRESSED` Deprecated. Replaced by `PdfExporterConfiguration.isCompressed()`.
    `static JRPdfExporterParameter` | `IS_CREATING_BATCH_MODE_BOOKMARKS` Deprecated. Replaced by `PdfExporterConfiguration.isCreatingBatchModeBookmarks()`.
    `static JRPdfExporterParameter` | `IS_ENCRYPTED` Deprecated. Replaced by `PdfExporterConfiguration.isEncrypted()`.
    `static JRPdfExporterParameter` | `IS_TAGGED` Deprecated. Replaced by `PdfExporterConfiguration.isTagged()`.
    `static JRPdfExporterParameter` | `METADATA_AUTHOR` Deprecated. Replaced by `PdfExporterConfiguration.getMetadataAuthor()`.
    `static JRPdfExporterParameter` | `METADATA_CREATOR` Deprecated. Replaced by `PdfExporterConfiguration.getMetadataCreator()`.
    `static JRPdfExporterParameter` | `METADATA_KEYWORDS` Deprecated. Replaced by `PdfExporterConfiguration.getMetadataKeywords()`.
    `static JRPdfExporterParameter` | `METADATA_SUBJECT` Deprecated. Replaced by `PdfExporterConfiguration.getMetadataSubject()`.
    `static JRPdfExporterParameter` | `METADATA_TITLE` Deprecated. Replaced by `PdfExporterConfiguration.getMetadataTitle()`.
    `static JRPdfExporterParameter` | `OWNER_PASSWORD` Deprecated. Replaced by `PdfExporterConfiguration.getOwnerPassword()`.
    `static JRPdfExporterParameter` | `PDF_JAVASCRIPT` Deprecated. Replaced by `PdfExporterConfiguration.getPdfJavaScript()`.
    `static JRPdfExporterParameter` | `PDF_VERSION` Deprecated. Replaced by `PdfExporterConfiguration.getPdfVersion()`.
    `static java.lang.Character` | `PDF_VERSION_1_2` Deprecated. Replaced by `PdfVersionEnum.VERSION_1_2`.
    `static java.lang.Character` | `PDF_VERSION_1_3` Deprecated. Replaced by `PdfVersionEnum.VERSION_1_3`.
    `static java.lang.Character` | `PDF_VERSION_1_4` Deprecated. Replaced by `PdfVersionEnum.VERSION_1_4`.
    `static java.lang.Character` | `PDF_VERSION_1_5` Deprecated. Replaced by `PdfVersionEnum.VERSION_1_5`.
    `static java.lang.Character` | `PDF_VERSION_1_6` Deprecated. Replaced by `PdfVersionEnum.VERSION_1_6`.
    `static java.lang.Character` | `PDF_VERSION_1_7` Deprecated. Replaced by `PdfVersionEnum.VERSION_1_7`.
    `static JRPdfExporterParameter` | `PDFA_CONFORMANCE` Deprecated. Replaced by `PdfExporterConfiguration.getPdfaConformance()`.
    `static java.lang.String` | `PDFA_CONFORMANCE_1A` Deprecated. Replaced by `PdfaConformanceEnum.PDFA_1A`.
    `static java.lang.String` | `PDFA_CONFORMANCE_1B` Deprecated. Replaced by `PdfaConformanceEnum.PDFA_1B`.
    `static java.lang.String` | `PDFA_CONFORMANCE_NONE` Deprecated. Replaced by `PdfaConformanceEnum.NONE`.
    `static JRPdfExporterParameter` | `PDFA_ICC_PROFILE_PATH` Deprecated. Replaced by `PdfExporterConfiguration.getIccProfilePath()`.
    `static JRPdfExporterParameter` | `PERMISSIONS` Deprecated. Replaced by `PdfExporterConfiguration.getPermissions()`.
    `static JRPdfExporterParameter` | `PRINT_SCALING` Deprecated. Replaced by `PdfExporterConfiguration.getPrintScaling()`.
    `static java.lang.String` | `PRINT_SCALING_DEFAULT` Deprecated. Replaced by `PdfPrintScalingEnum.DEFAULT`.
    `static java.lang.String` | `PRINT_SCALING_NONE` Deprecated. Replaced by `PdfPrintScalingEnum.NONE`.
    `static java.lang.String` | `PROPERTY_128_BIT_KEY` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_128_BIT_KEY`.
    `static java.lang.String` | `PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS` Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS`.
    `static java.lang.String` | `PROPERTY_COMPRESSED` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_COMPRESSED`.
    `static java.lang.String` | `PROPERTY_CREATE_BATCH_MODE_BOOKMARKS` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_CREATE_BATCH_MODE_BOOKMARKS`.
    `static java.lang.String` | `PROPERTY_ENCRYPTED` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_ENCRYPTED`.
    `static java.lang.String` | `PROPERTY_FORCE_LINEBREAK_POLICY` Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_FORCE_LINEBREAK_POLICY`.
    `static java.lang.String` | `PROPERTY_FORCE_SVG_SHAPES` Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_FORCE_SVG_SHAPES`.
    `static java.lang.String` | `PROPERTY_OWNER_PASSWORD` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_OWNER_PASSWORD`.
    `static java.lang.String` | `PROPERTY_PDF_JAVASCRIPT` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDF_JAVASCRIPT`.
    `static java.lang.String` | `PROPERTY_PDF_VERSION` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDF_VERSION`.
    `static java.lang.String` | `PROPERTY_PDFA_CONFORMANCE` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDFA_CONFORMANCE`.
    `static java.lang.String` | `PROPERTY_PDFA_ICC_PROFILE_PATH` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDFA_ICC_PROFILE_PATH`.
    `static java.lang.String` | `PROPERTY_PRINT_SCALING` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PRINT_SCALING`.
    `static java.lang.String` | `PROPERTY_SIZE_PAGE_TO_CONTENT` Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_SIZE_PAGE_TO_CONTENT`.
    `static java.lang.String` | `PROPERTY_TAG_LANGUAGE` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_TAG_LANGUAGE`.
    `static java.lang.String` | `PROPERTY_TAGGED` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_TAGGED`.
    `static java.lang.String` | `PROPERTY_USER_PASSWORD` Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_USER_PASSWORD`.
    `static JRPdfExporterParameter` | `TAG_LANGUAGE` Deprecated. Replaced by `PdfExporterConfiguration.getTagLanguage()`.
    `static JRPdfExporterParameter` | `USER_PASSWORD` Deprecated. Replaced by `PdfExporterConfiguration.getUserPassword()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRPdfExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PDF_VERSION_1_2

          public static final java.lang.Character PDF_VERSION_1_2

      Deprecated. Replaced by `PdfVersionEnum.VERSION_1_2`.

    - #### PDF_VERSION_1_3

          public static final java.lang.Character PDF_VERSION_1_3

      Deprecated. Replaced by `PdfVersionEnum.VERSION_1_3`.

    - #### PDF_VERSION_1_4

          public static final java.lang.Character PDF_VERSION_1_4

      Deprecated. Replaced by `PdfVersionEnum.VERSION_1_4`.

    - #### PDF_VERSION_1_5

          public static final java.lang.Character PDF_VERSION_1_5

      Deprecated. Replaced by `PdfVersionEnum.VERSION_1_5`.

    - #### PDF_VERSION_1_6

          public static final java.lang.Character PDF_VERSION_1_6

      Deprecated. Replaced by `PdfVersionEnum.VERSION_1_6`.

    - #### PDF_VERSION_1_7

          public static final java.lang.Character PDF_VERSION_1_7

      Deprecated. Replaced by `PdfVersionEnum.VERSION_1_7`.

    - #### PRINT_SCALING_DEFAULT

          public static final java.lang.String PRINT_SCALING_DEFAULT

      Deprecated. Replaced by `PdfPrintScalingEnum.DEFAULT`.

    - #### PRINT_SCALING_NONE

          public static final java.lang.String PRINT_SCALING_NONE

      Deprecated. Replaced by `PdfPrintScalingEnum.NONE`.

    - #### PDFA_CONFORMANCE_1A

          public static final java.lang.String PDFA_CONFORMANCE_1A

      Deprecated. Replaced by `PdfaConformanceEnum.PDFA_1A`.

    - #### PDFA_CONFORMANCE_1B

          public static final java.lang.String PDFA_CONFORMANCE_1B

      Deprecated. Replaced by `PdfaConformanceEnum.PDFA_1B`.

    - #### PDFA_CONFORMANCE_NONE

          public static final java.lang.String PDFA_CONFORMANCE_NONE

      Deprecated. Replaced by `PdfaConformanceEnum.NONE`.

    - #### IS_CREATING_BATCH_MODE_BOOKMARKS

          public static final JRPdfExporterParameter IS_CREATING_BATCH_MODE_BOOKMARKS

      Deprecated. Replaced by `PdfExporterConfiguration.isCreatingBatchModeBookmarks()`.

    - #### PROPERTY_CREATE_BATCH_MODE_BOOKMARKS

          public static final java.lang.String PROPERTY_CREATE_BATCH_MODE_BOOKMARKS

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_CREATE_BATCH_MODE_BOOKMARKS`.
      See Also:
        Constant Field Values

    - #### IS_COMPRESSED

          public static final JRPdfExporterParameter IS_COMPRESSED

      Deprecated. Replaced by `PdfExporterConfiguration.isCompressed()`.

    - #### PROPERTY_COMPRESSED

          public static final java.lang.String PROPERTY_COMPRESSED

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_COMPRESSED`.
      See Also:
        Constant Field Values

    - #### IS_ENCRYPTED

          public static final JRPdfExporterParameter IS_ENCRYPTED

      Deprecated. Replaced by `PdfExporterConfiguration.isEncrypted()`.

    - #### PROPERTY_ENCRYPTED

          public static final java.lang.String PROPERTY_ENCRYPTED

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_ENCRYPTED`.
      See Also:
        Constant Field Values

    - #### IS_128_BIT_KEY

          public static final JRPdfExporterParameter IS_128_BIT_KEY

      Deprecated. Replaced by `PdfExporterConfiguration.is128BitKey()`.

    - #### PROPERTY_128_BIT_KEY

          public static final java.lang.String PROPERTY_128_BIT_KEY

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_128_BIT_KEY`.
      See Also:
        Constant Field Values

    - #### USER_PASSWORD

          public static final JRPdfExporterParameter USER_PASSWORD

      Deprecated. Replaced by `PdfExporterConfiguration.getUserPassword()`.

    - #### PROPERTY_USER_PASSWORD

          public static final java.lang.String PROPERTY_USER_PASSWORD

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_USER_PASSWORD`.
      See Also:
        Constant Field Values

    - #### OWNER_PASSWORD

          public static final JRPdfExporterParameter OWNER_PASSWORD

      Deprecated. Replaced by `PdfExporterConfiguration.getOwnerPassword()`.

    - #### PROPERTY_OWNER_PASSWORD

          public static final java.lang.String PROPERTY_OWNER_PASSWORD

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_OWNER_PASSWORD`.
      See Also:
        Constant Field Values

    - #### PERMISSIONS

          public static final JRPdfExporterParameter PERMISSIONS

      Deprecated. Replaced by `PdfExporterConfiguration.getPermissions()`.

    - #### PDF_VERSION

          public static final JRPdfExporterParameter PDF_VERSION

      Deprecated. Replaced by `PdfExporterConfiguration.getPdfVersion()`.

    - #### PROPERTY_PDF_VERSION

          public static final java.lang.String PROPERTY_PDF_VERSION

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDF_VERSION`.
      See Also:
        Constant Field Values

    - #### METADATA_TITLE

          public static final JRPdfExporterParameter METADATA_TITLE

      Deprecated. Replaced by `PdfExporterConfiguration.getMetadataTitle()`.

    - #### METADATA_AUTHOR

          public static final JRPdfExporterParameter METADATA_AUTHOR

      Deprecated. Replaced by `PdfExporterConfiguration.getMetadataAuthor()`.

    - #### METADATA_SUBJECT

          public static final JRPdfExporterParameter METADATA_SUBJECT

      Deprecated. Replaced by `PdfExporterConfiguration.getMetadataSubject()`.

    - #### METADATA_KEYWORDS

          public static final JRPdfExporterParameter METADATA_KEYWORDS

      Deprecated. Replaced by `PdfExporterConfiguration.getMetadataKeywords()`.

    - #### METADATA_CREATOR

          public static final JRPdfExporterParameter METADATA_CREATOR

      Deprecated. Replaced by `PdfExporterConfiguration.getMetadataCreator()`.

    - #### FORCE_LINEBREAK_POLICY

          public static final JRPdfExporterParameter FORCE_LINEBREAK_POLICY

      Deprecated. Replaced by `PdfReportConfiguration.isForceLineBreakPolicy()`.

    - #### PROPERTY_FORCE_LINEBREAK_POLICY

          public static final java.lang.String PROPERTY_FORCE_LINEBREAK_POLICY

      Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_FORCE_LINEBREAK_POLICY`.
      See Also:
        Constant Field Values

    - #### FORCE_SVG_SHAPES

          public static final JRPdfExporterParameter FORCE_SVG_SHAPES

      Deprecated. Replaced by `PdfReportConfiguration.isForceSvgShapes()`.

    - #### PROPERTY_FORCE_SVG_SHAPES

          public static final java.lang.String PROPERTY_FORCE_SVG_SHAPES

      Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_FORCE_SVG_SHAPES`.
      See Also:
        Constant Field Values

    - #### PDF_JAVASCRIPT

          public static final JRPdfExporterParameter PDF_JAVASCRIPT

      Deprecated. Replaced by `PdfExporterConfiguration.getPdfJavaScript()`.

    - #### PROPERTY_PDF_JAVASCRIPT

          public static final java.lang.String PROPERTY_PDF_JAVASCRIPT

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDF_JAVASCRIPT`.
      See Also:
        Constant Field Values

    - #### PRINT_SCALING

          public static final JRPdfExporterParameter PRINT_SCALING

      Deprecated. Replaced by `PdfExporterConfiguration.getPrintScaling()`.

    - #### PROPERTY_PRINT_SCALING

          public static final java.lang.String PROPERTY_PRINT_SCALING

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PRINT_SCALING`.
      See Also:
        Constant Field Values

    - #### IS_TAGGED

          public static final JRPdfExporterParameter IS_TAGGED

      Deprecated. Replaced by `PdfExporterConfiguration.isTagged()`.

    - #### PROPERTY_TAGGED

          public static final java.lang.String PROPERTY_TAGGED

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_TAGGED`.
      See Also:
        Constant Field Values

    - #### TAG_LANGUAGE

          public static final JRPdfExporterParameter TAG_LANGUAGE

      Deprecated. Replaced by `PdfExporterConfiguration.getTagLanguage()`.

    - #### PROPERTY_TAG_LANGUAGE

          public static final java.lang.String PROPERTY_TAG_LANGUAGE

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_TAG_LANGUAGE`.
      See Also:
        Constant Field Values

    - #### PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS

          public static final java.lang.String PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS

      Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_COLLAPSE_MISSING_BOOKMARK_LEVELS`.
      See Also:
        Constant Field Values

    - #### PROPERTY_SIZE_PAGE_TO_CONTENT

          public static final java.lang.String PROPERTY_SIZE_PAGE_TO_CONTENT

      Deprecated. Replaced by `PdfReportConfiguration.PROPERTY_SIZE_PAGE_TO_CONTENT`.
      See Also:
        Constant Field Values

    - #### PDFA_CONFORMANCE

          public static final JRPdfExporterParameter PDFA_CONFORMANCE

      Deprecated. Replaced by `PdfExporterConfiguration.getPdfaConformance()`.

    - #### PROPERTY_PDFA_CONFORMANCE

          public static final java.lang.String PROPERTY_PDFA_CONFORMANCE

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDFA_CONFORMANCE`.
      See Also:
        Constant Field Values

    - #### PDFA_ICC_PROFILE_PATH

          public static final JRPdfExporterParameter PDFA_ICC_PROFILE_PATH

      Deprecated. Replaced by `PdfExporterConfiguration.getIccProfilePath()`.

    - #### PROPERTY_PDFA_ICC_PROFILE_PATH

          public static final java.lang.String PROPERTY_PDFA_ICC_PROFILE_PATH

      Deprecated. Replaced by `PdfExporterConfiguration.PROPERTY_PDFA_ICC_PROFILE_PATH`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRPdfExporterParameter

          protected JRPdfExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com